=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2008-12-17 08:26:06 +0000
+++ drizzled/drizzled.cc	2008-12-18 06:53:47 +0000
@@ -1269,7 +1269,8 @@
 
   segfaulted = 1;
 
-  if((curr_time= time(0)) == (time_t)-1)
+  curr_time= time(NULL);
+  if(curr_time == (time_t)-1)
   {
     fprintf(stderr, "Fetal: time() call failed\n");
     exit(1);
@@ -1834,16 +1835,17 @@
 static int init_common_variables(const char *conf_file_name, int argc,
                                  char **argv, const char **groups)
 {
-  time_t current;
+  time_t curr_time;
   umask(((~my_umask) & 0666));
   my_decimal_set_zero(&decimal_zero); // set decimal_zero constant;
   tzset();			// Set tzname
 
-  if ((current= time(0)) == (time_t)-1)
+  curr_time= time(NULL);
+  if (curr_time == (time_t)-1)
     return 1;
 
   max_system_variables.pseudo_thread_id= UINT32_MAX;
-  server_start_time= flush_status_time= current;
+  server_start_time= flush_status_time= curr_time;
 
   if (init_thread_environment())
     return 1;

=== modified file 'drizzled/field/timestamp.cc'
--- drizzled/field/timestamp.cc	2008-12-06 19:42:46 +0000
+++ drizzled/field/timestamp.cc	2008-12-18 06:53:47 +0000
@@ -271,7 +271,7 @@
   if (temp == 0L)				// No time
     return(0);					/* purecov: inspected */
 
-  session->variables.time_zone->gmt_sec_to_TIME(&time_tmp, (my_time_t)temp);
+  session->variables.time_zone->gmt_sec_to_TIME(&time_tmp, (time_t)temp);
 
   return time_tmp.year * INT64_C(10000000000) +
          time_tmp.month * INT64_C(100000000) +
@@ -305,7 +305,7 @@
   }
   val_buffer->set_charset(&my_charset_bin);	// Safety
 
-  session->variables.time_zone->gmt_sec_to_TIME(&time_tmp,(my_time_t)temp);
+  session->variables.time_zone->gmt_sec_to_TIME(&time_tmp,(time_t)temp);
 
   temp= time_tmp.year % 100;
   if (temp < YY_PART_YEAR - 1)
@@ -369,7 +369,7 @@
   }
   else
   {
-    session->variables.time_zone->gmt_sec_to_TIME(ltime, (my_time_t)temp);
+    session->variables.time_zone->gmt_sec_to_TIME(ltime, (time_t)temp);
   }
   return 0;
 }

=== modified file 'drizzled/function/time/curdate.cc'
--- drizzled/function/time/curdate.cc	2008-12-12 20:40:37 +0000
+++ drizzled/function/time/curdate.cc	2008-12-18 06:53:47 +0000
@@ -58,7 +58,7 @@
 {
   Session *session= current_session;
   session->variables.time_zone->gmt_sec_to_TIME(now_time,
-                                             (my_time_t)session->query_start());
+                                                (time_t)session->query_start());
 }
 
 /**
@@ -68,7 +68,7 @@
 void Item_func_curdate_utc::store_now_in_TIME(DRIZZLE_TIME *now_time)
 {
   my_tz_UTC->gmt_sec_to_TIME(now_time,
-                             (my_time_t)(current_session->query_start()));
+                             (time_t)(current_session->query_start()));
   /*
     We are not flagging this query as using time zone, since it uses fixed
     UTC-SYSTEM time-zone.

=== modified file 'drizzled/function/time/from_unixtime.cc'
--- drizzled/function/time/from_unixtime.cc	2008-12-13 00:15:23 +0000
+++ drizzled/function/time/from_unixtime.cc	2008-12-18 06:53:47 +0000
@@ -76,7 +76,7 @@
   if ((null_value= (args[0]->null_value || tmp > TIMESTAMP_MAX_VALUE)))
     return 1;
 
-  session->variables.time_zone->gmt_sec_to_TIME(ltime, (my_time_t)tmp);
+  session->variables.time_zone->gmt_sec_to_TIME(ltime, (time_t)tmp);
 
   return 0;
 }

=== modified file 'drizzled/function/time/now.cc'
--- drizzled/function/time/now.cc	2008-12-12 20:40:37 +0000
+++ drizzled/function/time/now.cc	2008-12-18 06:53:47 +0000
@@ -51,7 +51,7 @@
 {
   Session *session= current_session;
   session->variables.time_zone->gmt_sec_to_TIME(now_time,
-                                             (my_time_t)session->query_start());
+                                                (time_t)session->query_start());
 }
 
 

=== modified file 'drizzled/function/time/sysdate_local.cc'
--- drizzled/function/time/sysdate_local.cc	2008-12-17 07:16:37 +0000
+++ drizzled/function/time/sysdate_local.cc	2008-12-18 06:53:47 +0000
@@ -30,7 +30,7 @@
 void Item_func_sysdate_local::store_now_in_TIME(DRIZZLE_TIME *now_time)
 {
   Session *session= current_session;
-  session->variables.time_zone->gmt_sec_to_TIME(now_time, (my_time_t) time(0));
+  session->variables.time_zone->gmt_sec_to_TIME(now_time, time(NULL));
 }
 
 

=== modified file 'drizzled/show.cc'
--- drizzled/show.cc	2008-12-17 08:26:06 +0000
+++ drizzled/show.cc	2008-12-18 06:53:47 +0000
@@ -1206,7 +1206,7 @@
   pthread_mutex_unlock(&LOCK_thread_count);
 
   thread_info *session_info;
-  time_t now= time(0);
+  time_t now= time(NULL);
   while ((session_info=thread_infos.get()))
   {
     protocol->prepare_for_resend();
@@ -1236,9 +1236,9 @@
   Table *table= tables->table;
   const CHARSET_INFO * const cs= system_charset_info;
   char *user;
-  time_t now;
+  time_t now= time(NULL);
 
-  if ((now= time(0)) == (time_t)-1)
+  if (now == (time_t)-1)
     return 1;
 
   user= NULL;

=== modified file 'drizzled/slave.cc'
--- drizzled/slave.cc	2008-12-17 08:26:06 +0000
+++ drizzled/slave.cc	2008-12-18 06:53:47 +0000
@@ -622,7 +622,7 @@
     */
     if (rli->last_event_start_time == 0)
       return(1);
-    if (difftime(time(0), rli->last_event_start_time) > 60)
+    if (difftime(time(NULL), rli->last_event_start_time) > 60)
     {
       rli->report(ERROR_LEVEL, 0,
                   _("SQL thread had to stop in an unsafe situation, in "
@@ -859,7 +859,7 @@
       (master_row= drizzle_fetch_row(master_res)))
   {
     mi->clock_diff_with_master=
-      (long) (time((time_t*) 0) - strtoul(master_row[0], 0, 10));
+      (long) (time(NULL) - strtoul(master_row[0], 0, 10));
   }
   else if (!check_io_slave_killed(mi->io_session, mi, NULL))
   {
@@ -1248,7 +1248,7 @@
     if ((mi->slave_running == DRIZZLE_SLAVE_RUN_CONNECT) &&
         mi->rli.slave_running)
     {
-      long time_diff= ((long)(time(0) - mi->rli.last_master_timestamp)
+      long time_diff= ((long)(time(NULL) - mi->rli.last_master_timestamp)
                        - mi->clock_diff_with_master);
       /*
         Apparently on some systems time_diff can be <0. Here are possible
@@ -1372,7 +1372,8 @@
   thr_alarm_init(&alarmed);
   time_t start_time, end_time;
 
-  if ((start_time= time(0)) == (time_t)-1)
+  start_time= time(NULL);
+  if (start_time == (time_t)-1)
     return -1;
   end_time= start_time+sec;
 
@@ -1390,7 +1391,9 @@
 
     if ((*thread_killed)(session,thread_killed_arg))
       return(1);
-    if ((start_time= time(0)) == (time_t)-1)
+
+    start_time= time(NULL);
+    if (start_time == (time_t)-1)
       return -1;
   }
   return(0);
@@ -1608,8 +1611,11 @@
   session->set_time();                            // time the query
   session->lex->current_select= 0;
   if (!ev->when)
-    if((ev->when= time(0)) == (time_t)-1)
+  {
+    ev->when= time(NULL);
+    if(ev->when == (time_t)-1)
       return 2;
+  }
 
   ev->session = session; // because up to this point, ev->session == 0
 

=== modified file 'drizzled/tztime.cc'
--- drizzled/tztime.cc	2008-11-18 22:12:56 +0000
+++ drizzled/tztime.cc	2008-12-18 06:53:47 +0000
@@ -301,7 +301,7 @@
     DRIZZLE_TIME has two matching my_time_t ranges and some of them have none.
 */
 static void
-gmt_sec_to_TIME(DRIZZLE_TIME *tmp, my_time_t sec_in_utc, const TIME_ZONE_INFO *sp)
+gmt_sec_to_TIME(DRIZZLE_TIME *tmp, time_t sec_in_utc, const TIME_ZONE_INFO *sp)
 {
   const TRAN_TYPE_INFO *ttisp;
   const LS_INFO *lp;

=== modified file 'drizzled/tztime.h'
--- drizzled/tztime.h	2008-12-06 19:42:46 +0000
+++ drizzled/tztime.h	2008-12-18 06:53:47 +0000
@@ -41,7 +41,7 @@
     Converts time in my_time_t representation to local time in
     broken down DRIZZLE_TIME representation.
   */
-  virtual void   gmt_sec_to_TIME(DRIZZLE_TIME *tmp, my_time_t t) const = 0;
+  virtual void   gmt_sec_to_TIME(DRIZZLE_TIME *tmp, time_t t) const = 0;
   /**
     Because of constness of String returned by get_name() time zone name
     have to be already zeroended to be able to use String::ptr() instead

=== modified file 'mysys/thr_alarm.cc'
--- mysys/thr_alarm.cc	2008-12-17 07:16:37 +0000
+++ mysys/thr_alarm.cc	2008-12-18 06:53:47 +0000
@@ -164,7 +164,8 @@
   bool reschedule;
   struct st_my_thread_var *current_my_thread_var= my_thread_var;
 
-  if((now= time(0)) == (time_t)-1)
+  now= time(NULL);
+  if(now == (time_t)-1)
   {
     fprintf(stderr, "%s: Warning: time() call failed\n", my_progname);
     return 1;
@@ -350,7 +351,7 @@
     }
     else
     {
-      uint32_t now= time(0);
+      time_t now= time(NULL);
       uint32_t next= now+10-(now%10);
       while ((alarm_data=(ALARM*) queue_top(&alarm_queue))->expire_time <= now)
       {
@@ -478,7 +479,7 @@
   info->max_used_alarms= max_used_alarms;
   if ((info->active_alarms=  alarm_queue.elements))
   {
-    uint32_t now= (uint32_t)time(0);
+    time_t now= time(NULL);
     long time_diff;
     ALARM *alarm_data= (ALARM*) queue_top(&alarm_queue);
     time_diff= (long) (alarm_data->expire_time - now);
@@ -525,9 +526,10 @@
   {
     if (alarm_queue.elements)
     {
-      uint32_t sleep_time, now;
+      uint32_t sleep_time;
 
-      if ((now= time(0)) == (time_t)-1)
+      time_t now= time(NULL);
+      if (now == (time_t)-1)
       {
         pthread_mutex_unlock(&LOCK_alarm);
         return NULL;

=== modified file 'storage/innobase/drizzle/i_s.cc'
--- storage/innobase/drizzle/i_s.cc	2008-12-10 03:04:03 +0000
+++ storage/innobase/drizzle/i_s.cc	2008-12-18 06:53:47 +0000
@@ -133,7 +133,7 @@
 	/* use this if you are sure that `variables' and `time_zone'
 	are always initialized */
 	session->variables.time_zone->gmt_sec_to_TIME(
-		&my_time, (my_time_t) time);
+		&my_time, (time_t) time);
 #else
 	localtime_r(&time, &tm_time);
 	localtime_to_TIME(&my_time, &tm_time);

=== modified file 'storage/innobase/handler/i_s.cc'
--- storage/innobase/handler/i_s.cc	2008-12-03 09:16:12 +0000
+++ storage/innobase/handler/i_s.cc	2008-12-18 06:53:47 +0000
@@ -136,7 +136,7 @@
 	/* use this if you are sure that `variables' and `time_zone'
 	are always initialized */
 	thd->variables.time_zone->gmt_sec_to_TIME(
-		&my_time, (my_time_t) time);
+		&my_time, (time_t) time);
 #else
 	localtime_r(&time, &tm_time);
 	localtime_to_TIME(&my_time, &tm_time);

